TLM-2.0: tlm_utils::time_ordered_list< PAYLOAD > Class Template Reference

# tlm_utils::time_ordered_list< PAYLOAD > Class Template Reference

`#include <peq_with_cb_and_phase.h>`

Collaboration diagram for tlm_utils::time_ordered_list< PAYLOAD >:

[legend]

List of all members.

## Classes
struct | element
## Public Member Functions
| time_ordered_list ()
| ~time_ordered_list ()
void | reset ()
void | insert (const PAYLOAD &p, sc_core::sc_time t)
void | delete_top ()
unsigned int | get_size ()
PAYLOAD & | top ()
sc_core::sc_time | top_time ()
sc_dt::uint64 & | top_delta ()
sc_core::sc_time | next_time ()
## Public Attributes
element * | nill
element * | empties
element * | list
unsigned int | size

## Detailed Description

### template<typename PAYLOAD>
class tlm_utils::time_ordered_list< PAYLOAD >

Definition at line 32 of file peq_with_cb_and_phase.h.

## Constructor & Destructor Documentation

template<typename PAYLOAD >

tlm_utils::time_ordered_list< PAYLOAD >::time_ordered_list | ( |  | ) | `[inline]`

Definition at line 50 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

tlm_utils::time_ordered_list< PAYLOAD >::~time_ordered_list | ( |  | ) | `[inline]`

Definition at line 58 of file peq_with_cb_and_phase.h.

## Member Function Documentation

template<typename PAYLOAD >

void tlm_utils::time_ordered_list< PAYLOAD >::delete_top | ( |  | ) | `[inline]`

Definition at line 103 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

unsigned int tlm_utils::time_ordered_list< PAYLOAD >::get_size | ( |  | ) | `[inline]`

Definition at line 113 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

void tlm_utils::time_ordered_list< PAYLOAD >::insert | ( | const PAYLOAD & | p,
|  | sc_core::sc_time | t |
| ) |  |  | `[inline]`

Definition at line 74 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

sc_core::sc_time tlm_utils::time_ordered_list< PAYLOAD >::next_time | ( |  | ) | `[inline]`

Definition at line 132 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

void tlm_utils::time_ordered_list< PAYLOAD >::reset | ( |  | ) | `[inline]`

Definition at line 68 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

PAYLOAD& tlm_utils::time_ordered_list< PAYLOAD >::top | ( |  | ) | `[inline]`

Definition at line 118 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

sc_dt::uint64& tlm_utils::time_ordered_list< PAYLOAD >::top_delta | ( |  | ) | `[inline]`

Definition at line 127 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

sc_core::sc_time tlm_utils::time_ordered_list< PAYLOAD >::top_time | ( |  | ) | `[inline]`

Definition at line 122 of file peq_with_cb_and_phase.h.

## Member Data Documentation

template<typename PAYLOAD >

element* tlm_utils::time_ordered_list< PAYLOAD >::empties

Definition at line 46 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

element* tlm_utils::time_ordered_list< PAYLOAD >::list

Definition at line 47 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

element* tlm_utils::time_ordered_list< PAYLOAD >::nill

Definition at line 45 of file peq_with_cb_and_phase.h.

template<typename PAYLOAD >

unsigned int tlm_utils::time_ordered_list< PAYLOAD >::size

Definition at line 48 of file peq_with_cb_and_phase.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_utils/peq_with_cb_and_phase.h